import java.io.*;
import java.util.Date;

public class VierGewinntTreeBuilder{

    public static void main(String[] args){

 	final VierGewinntTreeGeneration t = new VierGewinntTreeGeneration();
	long startTime = System.currentTimeMillis();

	for(int i=0;i<VP.MAXTURNDEPTH;i++){
	    t.calculateNextGeneration();

	    //create the stats
	    long curTime = System.currentTimeMillis();
	    long accTime = curTime - startTime;

	    StringBuffer stats = new StringBuffer();
	    stats.append("VierGewinntTreeBuider v");
	    stats.append(VP.VERSION).append('\n');
	    stats.append("Columns: ").append(VP.MAXCOLUMNS).append('\n');
	    stats.append("Rows: ").append(VP.MAXROWS).append('\n');
	    stats.append("Max. number of Turns: ");
	    stats.append(VP.MAXTURNDEPTH).append('\n');
	    stats.append("Uses symmetry = "+VP.USESYMMETRY+'\n');
	    stats.append("Stores dumb turns = "+VP.STOREDUMBTURNS+'\n');
	    stats.append(t.getStatistics());
	    stats.append("Accumulated calculation time    : ");
	    stats.append(VP.timeToString(accTime)).append('\n');
	    stats.append(new Date()).append('\n');
	    String statsString = stats.toString();
	    System.out.println(statsString);

	    try{
		FileWriter out = new FileWriter("VierGewinnt.log");
		out.write(statsString);
		out.close();
	    }catch(IOException e){
		e.printStackTrace();
	    }
	}
    }
}










